Bug 218864 - [exp-run] lang/python35 -> lang/python36
Summary: [exp-run] lang/python35 -> lang/python36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-25 01:43 UTC by Martin Wilke
Modified: 2017-04-28 02:32 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke freebsd_committer 2017-04-25 01:43:51 UTC
I have done some pre testing already but I'd like to ask for a proper exp-run.


http://pkg2.miwibox.org/build.html?mastername=12amd64-test-python&build=2017-04-24_12h04m11s
Comment 1 Martin Wilke freebsd_committer 2017-04-25 01:45:09 UTC
please use this this patch,

https://reviews.freebsd.org/D10488

thanks
Comment 2 Antoine Brodin freebsd_committer 2017-04-25 19:36:17 UTC
There is 1 new failure: textproc/ibus-typing-booster

Failure log:

http://package22.nyi.freebsd.org/data/110amd64-default-PR218864/2017-04-25_08h18m14s/logs/ibus-typing-booster-1.5.30.log
Comment 3 commit-hook freebsd_committer 2017-04-27 20:34:28 UTC
A commit references this bug:

Author: thierry
Date: Thu Apr 27 20:34:19 UTC 2017
New revision: 439566
URL: https://svnweb.freebsd.org/changeset/ports/439566

Log:
  Do not run the included py-compile, in order to not depend on PYTHON_VERSION.

  PR:		218864
  Reported by:	miwi

Changes:
  head/textproc/ibus-typing-booster/Makefile
  head/textproc/ibus-typing-booster/pkg-plist
Comment 4 Thierry Thomas freebsd_committer 2017-04-27 20:36:50 UTC
I've not found a clean way to remove the use of the included py-compile, but the committed work-around (see r439566) should do the trick.
Comment 5 Martin Wilke freebsd_committer 2017-04-28 02:14:43 UTC
(In reply to Thierry Thomas from comment #4)

Great, Thank you!.

- Martin
Comment 6 commit-hook freebsd_committer 2017-04-28 02:19:56 UTC
A commit references this bug:

Author: miwi
Date: Fri Apr 28 02:18:54 UTC 2017
New revision: 439592
URL: https://svnweb.freebsd.org/changeset/ports/439592

Log:
  - Switch python3's default to 3.6

  PR:		218864
  Exp-Run:    antoine
  Approved by portmgr (antoine)
  Differential Revision:	https://reviews.freebsd.org/D10488

Changes:
  head/Mk/bsd.default-versions.mk
Comment 7 commit-hook freebsd_committer 2017-04-28 02:32:06 UTC
A commit references this bug:

Author: miwi
Date: Fri Apr 28 02:32:00 UTC 2017
New revision: 439593
URL: https://svnweb.freebsd.org/changeset/ports/439593

Log:
  - Update ruby

  lang/ruby22 -> 2.2.7
  lang/ruby23 -> 2.3.4

  PR:		218864
  Reviewed by:	swills
  Exp-Run:        antoine
  Approved by:	portmgr (swills,antoine)
  Differential Revision:	https://reviews.freebsd.org/D10506

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby22/distinfo
  head/lang/ruby22/files/patch-eval.c
  head/lang/ruby22/files/patch-eval_error.c
  head/lang/ruby22/files/patch-vm_eval.c
  head/lang/ruby22/files/patch-vm_trace.c
  head/lang/ruby22/pkg-plist
  head/lang/ruby23/distinfo
  head/lang/ruby23/files/patch-Makefile.in
  head/lang/ruby23/files/patch-configure.in
  head/lang/ruby23/files/patch-eval.c
  head/lang/ruby23/files/patch-eval_error.c
  head/lang/ruby23/files/patch-lib_mkmf.rb
  head/lang/ruby23/files/patch-thread.c
  head/lang/ruby23/files/patch-tool_rbinstall.rb
  head/lang/ruby23/files/patch-vm_eval.c
  head/lang/ruby23/files/patch-vm_trace.c
  head/lang/ruby23/pkg-plist